Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.taglib.tiles.ext
Class TextTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.BaseHandlerTag
                  org.apache.struts.taglib.html.BaseInputTag
                      org.apache.struts.taglib.html.BaseFieldTag
                          com.bea.struts.adapter.taglib.html.BaseFieldTagAdapter
                              com.bea.struts.adapter.taglib.tiles.ext.TextTag

All Implemented Interfaces
  TagAdapter, Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class TextTag

extends BaseFieldTagAdapter

Tag adapter for the Struts tiles TextTag

See Also
  Serialized Form
  This class is based on 3rd party types and is thus dependent upon announced or unannounced changes to those 3rd party types. Extensions of this class by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal or in future versions of the 3rd party types.

Field Summary
`protected String` | `prefix` The prefix to be added before the html name.

Fields inherited from class org.apache.struts.taglib.html.BaseFieldTag
`accept, redisplay, type`

Fields inherited from class org.apache.struts.taglib.html.BaseInputTag
`cols, maxlength, messages, name, property, rows, value`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, defaultLocale, doDisabled, doReadonly, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TextTag()` Construct a new instance of this tag.

Method Summary
`int` | `doStartTag()` Generate the required input tag.
`String` | `getPrefix()`
`void` | `release()` Release all allocated resources.
`void` | `setPrefix(String prefix)`

Methods inherited from class com.bea.struts.adapter.taglib.html.BaseFieldTagAdapter
`adaptPrepareIndex`

Methods inherited from class org.apache.struts.taglib.html.BaseFieldTag
`formatValue, getAccept, getRedisplay, prepareValue, renderInputElement, setAccept, setRedisplay`

Methods inherited from class org.apache.struts.taglib.html.BaseInputTag
`doEndTag, getCols, getMaxlength, getName, getProperty, getRows, getSize, getValue, prepareName, setCols, setMaxlength, setName, setProperty, setRows, setSize, setValue`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`doErrorsExist, getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getErrorKey, getErrorStyle, getErrorStyleClass, getErrorStyleId, getIndexed, getIndexValue, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareAttribute, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareOtherAttributes, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setErrorKey, setErrorStyle, setErrorStyleClass, setErrorStyleId, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### prefix

    protected String prefix

  The prefix to be added before the html name.

Constructor Detail

### TextTag

    public TextTag()

  Construct a new instance of this tag.

Method Detail

### release

    public void release()

  Release all allocated resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseFieldTag`

### getPrefix

    public String getPrefix()

### setPrefix

    public void setPrefix(String prefix)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Generate the required input tag.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseFieldTagAdapter`
  Throws
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.